{% extends "@Paa/Default/editionBase.html.twig" %}

{% block ParametreFavori %}

    <div id="ctnRécapCompteurDAD" class="col-lg-2 col-md-6 col-sm-12 col-xs-12" >
        {#        <label id="lblDateDebut" class='col-lg-2' for="TxtDateDebut"></label>#}
        {{ poCheckedOrNot.CreateInputCheckbox("gbRécapCompteurDAD", false, "L", "chkRécapCompteurDAD","Situation du :") }}
    </div>
    <div  id="ctnDateDebut"class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <input id="txtDateDebut" class="col-lg-3" type='date' name='TxtDateDebut'>
    </div>
    <div  id="ctnDateDebut"class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <label id="lblDateFin" class='col-lg-1' for="TxtDatefin">Situation au</label>
        <input id="txtDateDeFin" class="col-lg-2" type='date' name='TxtDatefin'> 
    </div>
    
    <form id="optTousLesCompteurs">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <input type="radio" name="optTousLesCompteurs"> Tous les compteurs<br>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <input type="radio" name="optTousLesCompteurs" id="optChoix"><br>
        </div>
    </form>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <input type='text' name='cboSituation' id="cboSituation">
       </div>
{% endblock %}

{% block fin %}
    <script type="text/javascript">
        $("#chkRécapCompteurDAD").click(function () {
            if ($(this).is(':checked')) {
                $('#txtDateDebut').attr('disabled', false);
            } else {
                $('#txtDateDebut').attr('disabled', true);
            }
        });
        
         $("#optTousLesCompteurs").click(function () {
            if ($(optChoix).is(':checked')) {
                $('#cboSituation').attr('disabled', false);
            } else {
                $('#cboSituation').attr('disabled', true);
            }
        });
    </script>

{% endblock %}